/**
 * Le controller des categories
 */
petzl.controllers.Category = function (){

	// Initialisation de la page category
	function initialize(){
		// Click sur une catégorie de produit
		$('.categoryTypeContainer a').click(function(){
			// On récupère la div sur laquelle il faut scroller
			
			var divToScroll = $(this).attr('data-href');
			
			// Ainsi que son offset
			var offsetTop = $('.'+divToScroll).offset().top;
			
			// Et on scroll
			$('html, body').animate({
				scrollTop : offsetTop
			});
		});
	};
	
	initialize();
	
};